JcaService (Mule ESB 2.2.1 API)
Keywords: org.mule.module.jca.JcaService class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.jca
Class JcaService

    java.lang.Object
      org.mule.service.AbstractService
          org.mule.module.jca.JcaService

All Implemented Interfaces:
  Serializable, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, NamedObject, Service

    public class JcaService

extends AbstractService

`JcaService` Is the type of service used in Mule when embedded inside an app server using JCA. In the future we might want to use one of the existing models.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.service.AbstractService
`component, exceptionListener, inboundRouter, INITIAL_STATE_PAUSED, INITIAL_STATE_STARTED, INITIAL_STATE_STOPPED, initialised, initialState, logger, model, muleContext, name, outboundRouter, paused, responseRouter, stats, stopped, stopping`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`JcaService()`

Method Summary
`protected void` | `doDispatch(MuleEvent event)`
`protected void` | `doPause()` Custom components can execute code necessary to put the service in a paused state here.
`protected void` | `doResume()` Custom components can execute code necessary to resume a service once it has been paused If a developer overloads this method the doPause() method MUST also be overloaded to avoid inconsistent state in the service
`protected MuleMessage` | `doSend(MuleEvent event)` Implementation of template method which is never call because send() is overwritten
`boolean` | `isPaused()` Determines if the service is in a paused state
`MuleMessage` | `sendEvent(MuleEvent event)` This is the synchronous call method and not supported by components managed in a JCA container
`protected void` | `waitIfPaused(MuleEvent event)` Called before an event is sent or dispatched to a service, it will block until resume() is called.

Methods inherited from class org.mule.service.AbstractService
`connectListeners, createStatistics, disconnectListeners, dispatchEvent, dispatchToOutboundRouter, dispose, doDispose, doForceStop, doInitialise, doStart, doStop, fireServiceNotification, forceStop, getComponent, getExceptionListener, getInboundRouter, getIncomingEndpoints, getInitialState, getModel, getMuleContext, getName, getOutboundRouter, getReplyToHandler, getResponseRouter, getStatistics, handleException, initialise, invokeComponent, isStarted, isStopped, isStopping, pause, processAsyncReplyRouter, processReplyTo, registerListeners, resume, sendToOutboundRouter, setComponent, setExceptionListener, setInboundRouter, setInitialState, setModel, setMuleContext, setName, setOutboundRouter, setResponseRouter, start, start, startListeners, stop, stopListeners, toString, unregisterListeners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JcaService

    public JcaService()

Method Detail

### sendEvent

    public MuleMessage sendEvent(MuleEvent event)
                          throws MuleException

  This is the synchronous call method and not supported by components managed in a JCA container

  Specified by:
    `sendEvent` in interface `Service`
  Overrides:
    `sendEvent` in class `AbstractService`
  Parameters:
    `event` -
  Returns:
  Throws:
    `MuleException`

### isPaused

    public boolean isPaused()

  Description copied from class: `AbstractService`
  Determines if the service is in a paused state

  Specified by:
    `isPaused` in interface `Service`
  Overrides:
    `isPaused` in class `AbstractService`
  Returns:
    True if the service is in a paused state, false otherwise

### waitIfPaused

    protected void waitIfPaused(MuleEvent event)
                         throws InterruptedException

  Description copied from class: `AbstractService`
  Called before an event is sent or dispatched to a service, it will block until resume() is called. Users can override this method if they want to handle pausing differently e.g. implement a store and forward policy

  Overrides:
    `waitIfPaused` in class `AbstractService`
  Parameters:
    `event` - the current event being passed to the service
  Throws:
    `InterruptedException` - if the thread is interrupted

### doPause

    protected void doPause()
                    throws MuleException

  Description copied from class: `AbstractService`
  Custom components can execute code necessary to put the service in a paused state here. If a developer overloads this method the doResume() method MUST also be overloaded to avoid inconsistent state in the service

  Overrides:
    `doPause` in class `AbstractService`
  Throws:
    `MuleException`

### doResume

    protected void doResume()
                     throws MuleException

  Description copied from class: `AbstractService`
  Custom components can execute code necessary to resume a service once it has been paused If a developer overloads this method the doPause() method MUST also be overloaded to avoid inconsistent state in the service

  Overrides:
    `doResume` in class `AbstractService`
  Throws:
    `MuleException`

### doDispatch

    protected void doDispatch(MuleEvent event)
                       throws MuleException

  Specified by:
    `doDispatch` in class `AbstractService`
  Throws:
    `MuleException`

### doSend

    protected MuleMessage doSend(MuleEvent event)
                          throws MuleException

  Implementation of template method which is never call because send() is overwritten

  Specified by:
    `doSend` in class `AbstractService`
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.